ALLEGRO_WRITE_MASK_FLAGS(3)

NAME

ALLEGRO_WRITE_MASK_FLAGS - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_WRITE_MASK_FLAGS {

DESCRIPTION

Each enabled bit means the corresponding value is written, a disabled bit means it is not.

•   ALLEGRO_MASK_RED

•   ALLEGRO_MASK_GREEN

•   ALLEGRO_MASK_BLUE

•   ALLEGRO_MASK_ALPHA

•   ALLEGRO_MASK_DEPTH

•   ALLEGRO_MASK_RGB - Same as RED | GREEN | BLUE.

•   ALLEGRO_MASK_RGBA - Same as RGB | ALPHA.

SINCE

5.1.2

SEE ALSO

al_set_render_state(3)